{
  "parent": "minecraft:item/generated",
  "textures": {
    "layer0": "minecraft:item/apple"
  },
  "overrides": [
	{
		
		"predicate": {
			"custom_model_data": 1
		},
		"model": "custom:item/apple_on_a_stick"
	},
  {
    "predicate": {
      "custom_model_data": 2
    },
    "model": "custom:item/keycard2"
  }
  ]
}